## android-platform-dalvik 6.0.1+r16

=== debian/changelog ===
android-platform-dalvik (6.0.1+r16-4) unstable; urgency=medium

  * remove Conflicts: dx (Closes: #814149, #815105)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 23 Feb 2016 20:04:20 +0100

android-platform-dalvik (6.0.1+r16-3) unstable; urgency=medium

  * remove /usr/bin/dx symlink (Closes: #814149, #815105)
  * use only Build-Depends, not Build-Depends-Indep (Closes: #814202)
  * add myself to Uploaders

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 19 Feb 2016 22:33:55 +0100

android-platform-dalvik (6.0.1+r16-2) unstable; urgency=medium

  * Compatible with arch and indep builds (Closes: #814202):
    - d/rules: Separate indep and arch targets
    - d/control:
      - Move default-jdk to Build-Depends-Indep
      - Move android-platform-build-headers to Build-Depends
  * Use ${java:Depends} for Java dependencies:
    - d/control: Replace libdex-java with ${java:Depends}
    - d/dalvik-exchange.jlibs: Specify JARs for jh_depends
  * d/control:
    - Remove gradle from Build-Depends-Indep as unnecessary
    - Improve dalvik-exchange description
    - dalvik-exchange Conflicts with dx
  * Improve manpages
  * Remove update-alternatives usage

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 09 Feb 2016 14:19:58 +0800

android-platform-dalvik (6.0.1+r16-1) unstable; urgency=low

  * Initial release (Closes: #793614)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 06 Feb 2016 01:59:14 +0800
