=== debian/control ===
Source: android-platform-dalvik
Section: devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: android-libcutils-dev (>= 1:6.0.1+r16~),
               android-liblog-dev (>= 1:6.0.1+r16~),
               android-libnativehelper-dev (>= 6.0.1+r16~),
               android-libutils-dev (>= 1:6.0.1+r16~),
               android-libziparchive-dev (>= 1:6.0.1+r16~),
               android-platform-build-headers (>= 1:6.0.1+r16~),
               debhelper (>= 9),
               default-jdk,
               default-jdk-doc,
               dh-exec,
               gradle-debian-helper,
               javahelper,
               libdex-java (>= 6.0.1+r10~),
               libsafe-iop-dev,
               maven-repo-helper,
               pandoc,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://android.googlesource.com/platform/dalvik
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-dalvik.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-dalvik.git

Package: android-libdex
Section: libs
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dalvik Executable library
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 This library provides APIs for Dalvik Executables.

Package: android-libdex-dev
Section: libdevel
Architecture: amd64 i386
Depends: android-libdex (= ${binary:Version}),
         android-libnativehelper-dev (>= ${source:Upstream-Version}),
         ${misc:Depends}
Description: Dalvik Executable library - Development files
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 This library provides APIs for Dalvik Executables.
 .
 This package contains the development files.

Package: dexdump
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to display information about Android .dex files
 The "dexdump" tool is intended to mimic "objdump". When possible, use similar
 command-line arguments.

Package: dmtracedump
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java method trace dump tool
 dmtracedump is a tool that gives you an alternate way of generating graphical
 call-stack diagrams from trace log files (instead of using Traceview).

Package: hprof-conv
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HPROF Converter
 The hprof-conv tool converts the HPROF file that is generated by the Android
 SDK tools to a standard format so you can view the file in a profiling tool of
 your choice.

Package: dalvik-exchange
Architecture: all
Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
         ${java:Depends},
         ${misc:Depends}
Description: Dalvik eXchange compiler
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 Home of Dalvik eXchange, the thing that takes in class files and
 reformulates them for consumption in the VM. It also does a few other
 things; use "dalvik-exchange --help" to see a modicum of self-documentation.
 .
 This program is officially named "dx" but in order to avoid naming conflict
 with OpenDX in Debian it is renamed to "dalvik-exchange".
