## android-platform-dalvik 6.0.1+r55

=== debian/changelog ===
android-platform-dalvik (6.0.1+r55-1) unstable; urgency=medium

  [ Kai-Chung Yan ]
  * d/control:
    - Build-Depends of C/C++ libraries are limited to [amd64 i386]
    - Move some Build-Depends to Build-Depends-Indep
    - Change dependency: libdex-java => libandroid-dex-java
    - Mention that dexdump on amd64 will not work
    - Standards-Version => 3.9.8 (no changes)
  * Add multi-arch support (Closes: #828958)
    - Depends on packages from src:android-platform-system-core >=
      1:6.0.1+r55-1~
  * dalvik-exchange: Install com.android.dx.jar instead of dx.jar into
    /usr/share/java
  * New package "libandroid-jack-dx-java" based on "dalvik-exchange"
    - Add libjarjar-java to Build-Depends
  * Remove the use of javahelper
  * Enable NDEBUG macro for all binaries

  [ Chirayu Desai ]
  * New upstream release
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sun, 21 Aug 2016 16:21:14 +0800
