=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
            Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: android-libcutils-dev (>= 1:6.0.1+r16~),
-               android-liblog-dev (>= 1:6.0.1+r16~),
-               android-libnativehelper-dev (>= 6.0.1+r16~),
-               android-libutils-dev (>= 1:6.0.1+r16~),
-               android-libziparchive-dev (>= 1:6.0.1+r16~),
-               android-platform-build-headers (>= 1:6.0.1+r16~),
+Build-Depends: android-libcutils-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-liblog-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-libnativehelper-dev (>= 6.0.1+r16~) [amd64 i386],
+               android-libutils-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-libziparchive-dev (>= 1:6.0.1+r55-1~) [amd64 i386],
+               android-platform-build-headers (>= 1:6.0.1+r16~) [amd64 i386],
                debhelper (>= 9),
-               default-jdk,
-               default-jdk-doc,
                dh-exec,
                gradle-debian-helper,
-               javahelper,
-               libdex-java (>= 6.0.1+r10~),
-               libsafe-iop-dev,
+               libsafe-iop-dev [amd64 i386],
                maven-repo-helper,
                pandoc,
-               zlib1g-dev
-Standards-Version: 3.9.7
+               zlib1g-dev [amd64 i386]
+Build-Depends-Indep: default-jdk,
+                     default-jdk-doc,
+                     libandroid-dex-java,
+                     libjarjar-java
+Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/dalvik
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-dalvik.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-dalvik.git
@@ -40,7 +40,7 @@
 Section: libdevel
 Architecture: amd64 i386
 Depends: android-libdex (= ${binary:Version}),
-         android-libnativehelper-dev (>= ${source:Upstream-Version}),
+         android-libnativehelper-dev,
          ${misc:Depends}
 Description: Dalvik Executable library - Development files
  Dalvik is a process virtual machine in Google's Android operating system that
@@ -56,6 +56,8 @@
 Description: Tool to display information about Android .dex files
  The "dexdump" tool is intended to mimic "objdump". When possible, use similar
  command-line arguments.
+ .
+ Note: dexdump on amd64 will not work until the upstream fixes it.
 
 Package: dmtracedump
 Architecture: amd64 i386
@@ -75,15 +77,35 @@
 Package: dalvik-exchange
 Architecture: all
 Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
-         ${java:Depends},
+         libandroid-dex-java,
          ${misc:Depends}
-Description: Dalvik eXchange compiler
+Description: Manipulate Dalvik eXchange format and produce dex files
  Dalvik is a process virtual machine in Google's Android operating system that
  executes applications written for Android.
  .
- Home of Dalvik eXchange, the thing that takes in class files and
- reformulates them for consumption in the VM. It also does a few other
+ dalvik-exchange is the home of Dalvik eXchange, the thing that takes in class
+ files and reformulates them for consumption in the VM. It also does a few other
  things; use "dalvik-exchange --help" to see a modicum of self-documentation.
  .
  This program is officially named "dx" but in order to avoid naming conflict
  with OpenDX in Debian it is renamed to "dalvik-exchange".
+
+Package: libandroid-jack-dx-java
+Architecture: all
+Section: java
+Depends: libandroid-dex-java,
+         ${misc:Depends}
+Description: dalvik-exchange library for Jack
+ Dalvik is a process virtual machine in Google's Android operating system that
+ executes applications written for Android.
+ .
+ This library is based on the Java library of "dalvik-exchange" with the
+ following changes:
+ .
+   * Renamed package from com.android.dx to com.android.jack.dx
+   * Removed package com.android.dx.dex.cf
+   * Removed package com.android.dx.command
+   * Removed package com.android.multidex
+ .
+ This library is intended for being used by Jack. See also:
+ <https://android.googlesource.com/toolchain/jack/+/ub-jack/dx/README.android>
