=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,31 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
-UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
 # See sdk/build_tools_source.prop_template in platform/development
 export BUILD_TOOLS_VERSION = 23.0.2
-GRADLE_OPTIONS = --settings-file debian/settings.gradle
+export DEB_HOST_MULTIARCH
+export DEB_CFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
+export DEB_CPPLAGS_MAINT_APPEND = -include android/arch/AndroidConfig.h
+export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
+export DEB_LDFLAGS_MAINT_APPEND = -fPIC
+# See com/android/dx/Version.java
+DX_VERSION = 1.11
+UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
 
 %:
 	dh $@
 
 override_dh_auto_build-indep:
-	dh_auto_build --buildsystem=gradle -- $(GRADLE_OPTIONS) assemble poms
+	dh_auto_build --buildsystem=gradle -- \
+	              --settings-file debian/settings.gradle \
+	              --project-prop dxVersion=$(DX_VERSION) assemble
+	java -jar /usr/share/java/jarjar.jar \
+	     process \
+	     debian/jack-dx.jarjar-rules \
+	     debian/build/libs/dx-$(DX_VERSION).jar \
+	     debian/build/libs/jack-dx.jar
 
 override_dh_auto_clean-indep:
 	dh_auto_clean --indep --buildsystem=gradle
@@ -39,13 +53,9 @@
 	dh_install --indep
 	chmod +x debian/dalvik-exchange/usr/lib/android-sdk/build-tools/${BUILD_TOOLS_VERSION}/dx
 	mh_install
-	jh_depends
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l/usr/lib/android
+	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android
 
 get-orig-source: $(UPSTREAM_TAG).tar.gz
-	mk-origtargz --repack --compression xz $<
-
-$(UPSTREAM_TAG).tar.gz:
-	wget https://android.googlesource.com/platform/dalvik/+archive/$(UPSTREAM_TAG).tar.gz
+	uscan --download-current-version --force-download
