## android-platform-dalvik 7.0.0+r1

=== debian/changelog ===
android-platform-dalvik (7.0.0+r1-4) unstable; urgency=medium

  * depend on proguard-cli to avoid including GUI deps (Closes: #856407)

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Mar 2017 22:14:06 +0100

android-platform-dalvik (7.0.0+r1-3) unstable; urgency=medium

  * android-libdex-dev Breaks & Replaces android-libdex because libdex.so was
    moved from android-libdex to android-libdex-dev (Closes: #848037)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 14 Dec 2016 00:43:26 +0800

android-platform-dalvik (7.0.0+r1-2) unstable; urgency=medium

  * d/control:
    * dalvik-exchange Depends on proguard
    * Remove libandroid-jack-dx-java since Jack does not need it for now
  * No longer build shrinkedAndroid.jar but link to libandroid-23-java
    * dalvik-exchange Depends on libandroid-23-java (>= 6.0.1+r72-3~)
    * Remove the Built-Using field in dalvik-exchange
    * No loner Build-Depends on libandroid-23-java

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 09 Dec 2016 21:45:30 +0800

android-platform-dalvik (7.0.0+r1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Exclude *.class
  * Include the source of dmtracedump in debian/additionalSrc
  * d/control:
    * Build-Depends on default-jdk-headless | default-jdk
    * Remove the useless default-jdk-doc from Build-Depends
    * Unify the maintainer name to "Android Tools Maintainers"
  * Set the dynamic ${BUILD_TOOLS_VERSION} to "debian"
  * No longer requires AndroidConfig.h
  * Update to debhelper 10
  * Let gradle-debian-helper generate Maven POMs
    * Build-Depends on gradle-debian-helper (>= 1.4~)
  * Enable builds for ARM & MIPS
  * Move libdex.so from android-libdex to android-libdex-dev
  * Build shrinkedAndroid.jar

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 07 Dec 2016 20:21:45 +0800
