=== debian/control ===
Source: android-platform-dalvik
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: android-libcutils-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               android-liblog-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               android-libnativehelper-dev (>= 7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               android-libutils-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               android-libziparchive-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               debhelper (>= 10),
               dh-exec,
               gradle-debian-helper (>= 1.4~),
               libsafe-iop-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el],
               maven-repo-helper,
               pandoc,
               zlib1g-dev [amd64 i386 armel armhf arm64 mips mipsel mips64el]
Build-Depends-Indep: default-jdk-headless | default-jdk,
                     libandroid-dex-java (>= 7.0.0+r1),
                     libjarjar-java
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/dalvik
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-dalvik.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-dalvik.git

Package: android-libdex
Section: libs
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dalvik Executable library
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 This library provides APIs for Dalvik Executables.

Package: android-libdex-dev
Section: libdevel
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: android-libdex (= ${binary:Version}),
         android-libnativehelper-dev,
         ${misc:Depends}
Breaks: android-libdex (<< 7.0.0+r1-2~)
Replaces: android-libdex (<< 7.0.0+r1-2~)
Description: Dalvik Executable library - Development files
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 This library provides APIs for Dalvik Executables.
 .
 This package contains the development files.

Package: dexdump
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to display information about Android .dex files
 The "dexdump" tool is intended to mimic "objdump". When possible, use similar
 command-line arguments.
 .
 Note: dexdump on amd64 will not work until the upstream fixes it.

Package: dmtracedump
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java method trace dump tool
 dmtracedump is a tool that gives you an alternate way of generating graphical
 call-stack diagrams from trace log files (instead of using Traceview).

Package: hprof-conv
Architecture: amd64 i386 armel armhf arm64 mips mipsel mips64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HPROF Converter
 The hprof-conv tool converts the HPROF file that is generated by the Android
 SDK tools to a standard format so you can view the file in a profiling tool of
 your choice.

Package: dalvik-exchange
Architecture: all
Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
         libandroid-dex-java (>= 7.0.0+r1),
         libandroid-23-java (>= 6.0.1+r72-3~),
         proguard-cli,
         ${misc:Depends}
Description: Manipulate Dalvik eXchange format and produce dex files
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 dalvik-exchange is the home of Dalvik eXchange, the thing that takes in class
 files and reformulates them for consumption in the VM. It also does a few other
 things; use "dalvik-exchange --help" to see a modicum of self-documentation.
 .
 This program is officially named "dx" but in order to avoid naming conflict
 with OpenDX in Debian it is renamed to "dalvik-exchange".
 .
 This package also provides the "mainDexClasses" program.
