## android-platform-dalvik 7.0.0+r33

=== debian/changelog ===
android-platform-dalvik (7.0.0+r33-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Apr 2017 20:00:06 +0200
