=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_HOST_MULTIARCH
export DEB_CFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND = -fPIC
# See com/android/dx/Version.java
DX_VERSION = 1.12
ARCH_COMPONENTS = libdex.so dexdump dmtracedump hprof-conv

# If building on architectures other than the supported ones, only build the
# architecture independent components.
ifeq ($(filter amd64 i386 armel armhf arm64 mips mipsel mips64el,$(DEB_HOST_ARCH)),)
  ARCH_COMPONENTS =
endif

debian/out/lib%.so: debian/lib%.mk
	make -f $<

debian/out/%: debian/%.mk
	make -f $<
	pandoc -s -o debian/out/$(subst debian/out/,,$@).1 debian/$(subst debian/out/,,$@).1.md

debian/out/dexdump: debian/dexdump.mk debian/out/libdex.so
	make -f $<
	pandoc -s -o debian/out/dexdump.1 debian/dexdump.1.md

%:
	dh $@

override_dh_auto_build-indep:
	mkdir --parents debian/out
	dh_auto_build --buildsystem=gradle -- \
	              --settings-file debian/settings.gradle \
	              --project-prop DX_VERSION=$(DX_VERSION)
	java -jar /usr/share/java/jarjar.jar \
	     process \
	     debian/jack-dx.jarjar-rules \
	     debian/build/libs/dx-$(DX_VERSION).jar \
	     debian/build/libs/jack-dx.jar

override_dh_auto_clean-indep:
	dh_auto_clean --indep --buildsystem=gradle
	mh_clean
	$(RM) -r debian/.gradle debian/out

override_dh_auto_build-arch: $(foreach component,$(ARCH_COMPONENTS),debian/out/$(component))

override_dh_auto_clean-arch:
	dh_auto_clean --arch
	$(RM) -r debian/out

override_dh_install-indep:
	dh_install --indep
	chmod +x debian/dalvik-exchange/usr/lib/android-sdk/build-tools/debian/dx
	mh_install

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

get-orig-source:
	uscan --download-current-version --force-download
