## android-platform-dalvik 8.1.0+r23

=== debian/changelog ===
android-platform-dalvik (8.1.0+r23-2~18.04) bionic; urgency=medium

  * Backport for OpenJDK 11. LP: #1819448.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2019 15:29:31 +0100

android-platform-dalvik (8.1.0+r23-2) unstable; urgency=medium

  * Install manpages pre-baked by pandoc. Pandoc as a B-D is thus unnecessary.
  * Fix FTCBFS by using dh_auto_build to invoke makefiles
  * Remove unused build-dependency libjarajr-java

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 24 Oct 2018 21:32:58 +0800

android-platform-dalvik (8.1.0+r23-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * New upstream release
  * Switch to Salsa
  * Remove get-orig-source
  * Fix missing-notice-file-for-apache-license

  [ Kai-Chung Yan ]
  * Standards-Version => 4.2.1
  * No longer build dmtracedump or dexdump in this package. They have been moved
    to android-platform-art.
  * Annotate Multi-Arch on all packages
  * Build hprof-conv on all architectures
  * dalvik-exchange:
    * Use the package upstream version as the JAR version
    * No longer build against dex.jar (Closes: #911103)
    * Fix some literal errors in the package description
    * Install mainDexClassesNoAapt.rules

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 24 Oct 2018 20:28:49 +0800
