=== debian/control ===
Source: android-platform-dalvik
Section: devel
Priority: optional
Maintainer: Android Tools Maintainers <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 10),
               dh-exec,
               gradle-debian-helper (>= 1.4~),
               maven-repo-helper
Build-Depends-Indep: default-jdk-headless | default-jdk
Standards-Version: 4.2.1
Homepage: https://android.googlesource.com/platform/dalvik
Vcs-Git: https://salsa.debian.org/android-tools-team/android-platform-dalvik.git
Vcs-Browser: https://salsa.debian.org/android-tools-team/android-platform-dalvik

Package: hprof-conv
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HPROF Converter
 The hprof-conv tool converts the HPROF file that is generated by the Android
 SDK tools to a standard format so you can view the file in a profiling tool of
 your choice.

Package: dalvik-exchange
Architecture: all
Multi-Arch: foreign
Depends: default-jre-headless (>= 1:1.6) | java6-runtime-headless,
         libandroid-23-java (>= 6.0.1+r72-3~),
         proguard-cli,
         ${misc:Depends}
Description: Manipulate Dalvik eXchange format and produce dex files
 Dalvik is a process virtual machine in Google's Android operating system that
 executes applications written for Android.
 .
 dalvik-exchange is the tool that takes in class
 files and reformulates them for consumption in the VM. It also does a few other
 things.
 .
 This program is officially named "dx" but in order to avoid naming conflict
 with OpenDX in Debian it is renamed to "dalvik-exchange".
 .
 This package also provides the "mainDexClasses" program.
