=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM
export DEB_HOST_MULTIARCH
export DEB_CFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DNDEBUG
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

debian/out/lib%.so: debian/lib%.mk
	dh_auto_build --buildsystem=makefile -- --file=$<

debian/out/%: debian/%.mk
	dh_auto_build --buildsystem=makefile -- --file=$<

%:
	dh $@

override_dh_auto_build-indep:
	dh_auto_build --buildsystem=gradle -- \
	              --settings-file debian/settings.gradle

override_dh_auto_clean-indep:
	dh_auto_clean --indep --buildsystem=gradle
	mh_clean

override_dh_auto_build-arch: debian/out/hprof-conv

override_dh_install-indep:
	dh_install --indep
	chmod +x debian/dalvik-exchange/usr/lib/android-sdk/build-tools/debian/dx
	mh_install
