## android-platform-dalvik 10.0.0+r36

=== debian/changelog ===
android-platform-dalvik (10.0.0+r36-1) unstable; urgency=medium

  [ Roger Shimizu ]
  * d/watch: Update rule to get new upstream version

  [ Hans-Christoph Steiner ]
  * New upstream release
  * add upstream metadata
  * build hprof-conf manpage

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 02 Jan 2021 22:48:51 +0100
