=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
 Build-Depends: debhelper (>= 10),
                dh-exec,
                gradle-debian-helper (>= 1.4~),
-               maven-repo-helper
+               maven-repo-helper,
+               pandoc,
 Build-Depends-Indep: default-jdk-headless | default-jdk
 Standards-Version: 4.2.1
 Homepage: https://android.googlesource.com/platform/dalvik
