=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 debian/out/%: debian/%.mk
 	dh_auto_build --buildsystem=makefile -- --file=$<
+
+debian/%.1: debian/%.1.md
+	pandoc --standalone --from=markdown-smart --to=man --output=$@ $<
 
 %:
 	dh $@
